diff --git a/web/pgadmin/misc/file_manager/templates/file_manager/index.html b/web/pgadmin/misc/file_manager/templates/file_manager/index.html
index d877d1e5..1933895c 100755
--- a/web/pgadmin/misc/file_manager/templates/file_manager/index.html
+++ b/web/pgadmin/misc/file_manager/templates/file_manager/index.html
@@ -31,9 +31,9 @@
         </div>
     </div>
     <div class="fileinfo">
-    <span class="activity">
-      <img src="{{ url_for('browser.static', filename='vendor/aciTree/image/load-root.gif') }}">
-    </span>
+        <span class="activity">
+          <img src="{{ url_for('static', filename='js/generated/img/load-root.gif') }}">
+        </span>
         <div class="file_listing"></div>
         <div class="upload_file dropzone"></div>
         <div class="allowed_file_types"></div>
@@ -52,7 +52,6 @@
           <button type='button' class='btn btn_no'>NO</button>
         </span>
         </div>
-
     </div>
     <script>
 	require(['sources/generated/file_utils'], function() {
diff --git a/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js b/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js
index d16cc800..fd8f25c6 100755
--- a/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js
+++ b/web/pgadmin/misc/file_manager/templates/file_manager/js/utility.js
@@ -8,6 +8,7 @@
  *  @author Simon Georget <simon (at) linea21 (dot) com>
  *  @copyright  Authors
  */
+import loading_icon from 'acitree/image/load-root.gif';
 
 define(['jquery', 'underscore', 'underscore.string',
   'sources/alerts/alertify_wrapper', 'sources/gettext',
@@ -505,11 +506,14 @@ var getFolderInfo = function(path, file_type) {
    } else {
      $(".allowed_file_types .change_file_types").show();
    }
-   var img_url = url_for('browser.static') + 'vendor/aciTree/image/load-root.gif';
+
+  var loading_icon_url = url_for(
+    'static', {'filename': 'js/generated/' + loading_icon }
+  );
 
   // Display an activity indicator.
   $('.fileinfo').find('span.activity').html(
-    "<img src='" + img_url + ">"
+    '<img src="' + loading_icon_url + '"/>'
   );
 
   var post_data = {
